> ## Documentation Index
> Fetch the complete documentation index at: https://www.bolna.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List All Voices API

> Retrieve a list of all available voices for your account, including details like provider, language, and accent.



## OpenAPI

````yaml GET /me/voices
openapi: 3.1.0
info:
  title: Bolna API
  description: >-
    Use and leverage Bolna Voice AI using APIs through HTTP requests from any
    language in your applications and workflows.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.bolna.ai
    description: Production server
security:
  - bearerAuth: []
paths:
  /me/voices:
    get:
      description: Get all user voices
      responses:
        '200':
          description: List of voices
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VoiceList'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: access denied
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccessDenied'
components:
  schemas:
    VoiceList:
      items:
        $ref: '#/components/schemas/Voice'
      type: array
      title: Items
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
    AccessDenied:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
          example: 401
        message:
          type: string
          example: Access denied
    Voice:
      properties:
        id:
          description: Unique identifier for the voice
          type: string
          format: uuid
          pattern: >-
            ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}
        voice_id:
          type: string
          description: Provider specific unique identifier
          example: aBcDeFgHiJkLmN
        provider:
          description: Voice provider
          type: string
          example: elevenlabs
          enum:
            - polly
            - cartesia
            - elevenlabs
            - deepgram
            - sarvam
            - smallest
            - azuretts
        name:
          description: Human friendly name of the voice
          type: string
          example: Matthew
        model:
          type: string
          description: Voice model. Different providers have their own speific voice models
          example: eleven_turbo_v2_5
        accent:
          type: string
          description: Accent of the voice
          example: United States (English) female
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````